Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.CreateScimConfigurationRequestContent{}
client.Connections.ScimConfiguration.Create(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.create("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.create("id", {});
}
main();curl --request POST \
--url https://{tenantDomain}/api/v2/connections/{id}/scim-configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id_attribute": "<string>",
"mapping": [
{
"auth0": "<string>",
"scim": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}/api/v2/connections/{id}/scim-configuration"
payload = {
"user_id_attribute": "<string>",
"mapping": [
{
"auth0": "<string>",
"scim": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"connection_id": "<string>",
"connection_name": "<string>",
"strategy": "<string>",
"tenant_name": "<string>",
"user_id_attribute": "<string>",
"mapping": [
{
"auth0": "<string>",
"scim": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z"
}Create a SCIM configuration
Create a scim configuration for a connection.
POST
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
scim-configuration
Go
package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.CreateScimConfigurationRequestContent{}
client.Connections.ScimConfiguration.Create(
context.TODO(),
"id",
request,
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.create("id", {});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.connections.scimConfiguration.create("id", {});
}
main();Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the connection to create its SCIM configuration
Body
application/jsonapplication/x-www-form-urlencoded
Response
The connection's SCIM configuration was created. See Response Schemas for schema.
The connection's identifier
The connection's name
The connection's strategy
The tenant's name
User ID attribute for generating unique user ids
The mapping between auth0 and SCIM
Show child attributes
Show child attributes
The ISO 8601 date and time the SCIM configuration was created at
The ISO 8601 date and time the SCIM configuration was last updated on
Was this page helpful?
⌘I